Bug 253533 - Data corruption with multiple qemu or KVM Instances possible
Data corruption with multiple qemu or KVM Instances possible
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-20 09:52 EDT by Sven Oehme
Modified: 2008-06-16 22:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:11:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sven Oehme 2007-08-20 09:52:40 EDT
Description of problem:

you can start multiple instances of qemu as well as kvm using a single disk
image in R/W 

Version-Release number of selected component (if applicable):

all Versions 

How reproducible:

start qemu or qemu-kvm multiple times and point to the same image file after
-hda (e.g. -hda /temp/image) 

Steps to Reproduce:
1. create a image
2. install aguest 
3. start qemu first time, login, write to disk
4. start qemu second time, login, write to disk
  
Actual results:

filesystem gets corrupted 

Expected results:

the application should set a lock on the image and should denie the acces to the
image to the second instance by default. a flag -force-rw or similar need to be
set to override the default 

Additional info:

especially if you have multiple hosts running kvm and you like to share/migrate
images between hosts (over nfs , gfs or other filesystems) it is critical that
the 2. instances get a deny on a already in use file as with more images it is
more likely that by mistake somebody is using the same volume in rw mode
Comment 1 Bug Zapper 2008-05-14 10:02:17 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 22:11:45 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.